<?php

require_once dirname(__FILE__) . '/../../includes/autoload.php';

class KredivoStatusModuleFrontController extends ModuleFrontController
{
    /**
     * @see FrontController::postProcess()
     */
    public function postProcess()
    {

        if ($_SERVER['REQUEST_METHOD'] == 'POST') {

            $input = new Kredivo_Input();
            Logger::addLog("Kredivo : " . $input->get_json(), 1);
            Kredivo_Log::debug($input->get_json());

            $order  = new Order($input->order_id);
            $status = $order->getCurrentStateFull($order->id_lang);

            $response = array(
                'message' => 'Detail order status',
                'order'   => array(
                    'status'    => strtoupper($status['name']),
                    'timestamp' => '',
                ),
            );

            echo Kredivo_Api::response($response);
            exit();

        }

    }

}
