{capture name=path}
<a href="{$link->getPageLink('order', true, NULL, "step=3")|escape:'html':'UTF-8'}" title="{l s='Go back to the Checkout' mod='kredivo'}">
	{l s='Checkout' mod='kredivo'}
</a>
<span class="navigation-pipe">
	{$navigationPipe}
</span>
{l s='Kredivo payment' mod='kredivo'}
{/capture}

<h2>{l s='Order summary' mod='kredivo'}</h2>

{assign var='current_step' value='payment'}
{include file="$tpl_dir./order-steps.tpl"}

{if $nbProducts <= 0}

<p class="warning">
	{l s='Your shopping cart is empty.' mod='kredivo'}
</p>

{else}

<h3>{l s='Kredivo payment' mod='kredivo'}</h3>
<h4><a href="https://kredivo.com/faqs/" target="blank"> {l s='What is Kredivo?'}</a></h4>  

<p>{l s='Here is a short summary of your order:' mod='kredivo'}</p>

<p>
	- {l s='The total amount of your order is' mod='kredivo'}
	<span id="amount" class="price">
		{displayPrice price=$total}
	</span>
	{if $use_taxes == 1}
	{l s='(tax incl.)' mod='kredivo'}
	{/if}
</p>

<p>
	{l s='Kredivo account information will be displayed on the next page.' mod='kredivo'}
	<br /><br />
	<b>{l s='Please confirm your order by clicking "I confirm my order".' mod='kredivo'}</b>
</p>

<p class="cart_navigation" id="cart_navigation">
	<a href="{$link->getModuleLink('kredivo', 'validation', [], true)|escape:'html'}" class="button_large">
		{l s='I confirm my order' mod='kredivo'}
	</a>
	<a href="{$link->getPageLink('order', true, NULL, "step=3")|escape:'html'}" class="button_large">
		{l s='Other payment methods' mod='kredivo'}
	</a>
</p>

{/if}